Stop Job

Product version: 10.11

Last modified: 31 July 2024

Stops the job.

Endpoint

https://<Director_IP_address>:4443/c/router

Tenant Endpoint

For tenants of the multi-tenant product the endpoint must be:
https://<Director_IP_address>:4443/t/<tenant_UUID>/c/router

Request Example

Request Fields

Field
Type
Value(s)

action

string

JobManagement

method

string

stop

data

array Array with one object that contains jobIds and, optionally, stopType and sourceVids

jobIds

array of long

IDs of the jobs to stop

stopType

string

Optional. ALL or SPECIFIC

sourceVids

array of string

Optional. Source VIDs to stop. For SPECIFIC stop type, a single job is expected

type

string rpc

tid

integer 1

Response Sample

Response Fields

Field
Value
Description
message string Message if the request failed
where string Reference to the method where a problem occurred
cause string Cause of failure